'\" t
.\" Manual page created with latex2man on Mon Jun 24 13:54:10 CEST 2013
.\" NOTE: This file is generated, DO NOT EDIT.
.de Vb
.ft CW
.nf
..
.de Ve
.ft R

.fi
..
.TH "YADIFAD\-CONF" "5" "2013\-06\-24" "YADIFA " "YADIFA "
.SH NAME

.PP
yadifad.conf
is the configuration file for \fIyadifad\fP(1)\&.
.PP
.SH SYNOPSIS

.PP
${PREFIX}/etc/yadifad.conf 
.PP
.SH DESCRIPTION

.PP
The configuration of yadifad
has several containers: 
.TP
.B *
<main> General container 
.TP
.B *
<zone> Description of the domain name in specific attributes 
.TP
.B *
<channels> Description of the logger outputs 
.TP
.B *
<loggers> Description of the loggers 
.TP
.B *
<key> TSIG keys 
.TP
.B *
<acl> Access lists. 
.PP
The configuration supports included files.
.br
example: include /usr/local/var/zones/master/yadifad\-2.conf 
.PP
The configuration files can be nested. 
.PP
The configuration consists of: 
.TP
.B *
Container, which starts with <container name> and ends with </container name> 
.TP
.B *
Variable name 
.TP
.B *
1 or 2 arguments 
.TP
.B *
Arguments can contain 1 or more comma separated values. 
.PP
eg. 
.PP
.Vb
<container>
        # variable  argument
        variable    value1  
        # variable  argument1       argument2
        variable    value1          value2
        # variable  argument1
        variable    value1,value2
</container>
.Ve
.PP
.SH EXAMPLES

.PP
Examples of containers defined for a configuration file. 
.PP
.TP
.B *
Main 
.RS
.TP
1.
Config with includes 
.RS
.PP
.Vb
# start yadifad.conf <main> container
        include /usr/local/etc/yadifad\-main.conf
# end yadifad.conf <main> container
.Ve
.PP
.RE
.TP
2.
Main without includes 
.Vb
<main>
        # Detach from the console
        daemon                  off

        # Jail the application
        chroot                  off

        # The path of the log files
        logpath                 "/usr/local/var/log"

        # The path of the pid file
        pidpath                 "/usr/local/var/run"    

        # The path of the zone files
        datapath                "/usr/local/var/zones"

        # The path of the DNSSEC keys
        keyspath                "/usr/local/var/zones/keys"

        # The path of the transfer and journaling files (AXFR & IXFR)
        xfrpath                 "/usr/local/var/zones/xfr"

        # The version returned by a query to version.yadifa. CH TXT
        version                 "1.0.0rc2"

        # Enable EDNS0 support (?)
        edns0                   on

        # Set the maximum UDP packet size.  Packetsize annot be less than 512.  or more than 65535.  A typical choice is 4096.
        edns0\-max\-size          4096

        # The maximum number of parallel TCP queries.
        max\-tcp\-queries         100

        # The user id to use
        uid                     yadifa

        # The group id to use
        gid                     yadifa

        # The DNS port \- any DNS query will use that port unless a specific value is used
        port                    53

        # The interfaces to listen to.
        # listen        0.0.0.0
        listen                  127.0.0.1, 192.0.2.2, 192.0.2.130 port 8053, 2001:db8::2

        # Enable the collection and logging of statistics
        statistics              on

        # Drop queries with erroneous content
        #
        # answer\-formerr\-packets on
        answer\-formerr\-packets  off

        # Maximum number of records in an AXFR packet. Set to 1 for compatibility
        # with very old name servers
        axfr\-maxrecordbypacket  0

        # Global Access Control rules
        #
        # Rules can be defined on network ranges, TSIG signatures, and ACL rules

        # simple queries:
        #
        # allow\-query any
        allow\-query             !192.0.2.251,any

        # dynamic update of a zone
        #
        # allow\-update none
        allow\-update            admins

        # dynamic update of a slave (forwarded to the master)
        #
        # allow\-update\-forwarding   none
        allow\-update\-forwarding admins,key abroad\-admin\-key

        # transfer of a zone (AXFR or IXFR)
        #
        # allow\-transfer any
        allow\-transfer          transferer

        # notify of a change in the master
        #
        # allow\-notify any
        allow\-notify            master,admins

</main>
.Ve
.RE
.RS
.PP
.RE
.TP
.B *
Key
.br 
TSIG\-key configuration
.br
.PP
.RS
.TP
1.
Admin\-key key definition (the name is arbitrary) 
.RS
.PP
.Vb
<key>
        name        abroad\-admin\-key
        algorithm   hmac\-md5
        secret      WorthlessKeyForExample==
</key>
.Ve
.PP
.RE
.TP
2.
Master\-slave key definition 
.RS
.PP
.Vb
<key>
        name        master\-slave
        algorithm   hmac\-md5
        secret      MasterAndSlavesTSIGKey==
</key>
.Ve
.RE
.RE
.PP
.RE
.TP
.B *
ACL
.br 
Access Control List definitions
.br
.PP
.RS
.TP
1.
Master\-slave key use 
.RS
.PP
.Vb
<acl>
    transferer  key master\-slave
    admins      192.0.2.0/24, 2001:db8::74
    master      192.0.2.53
</acl>
.Ve
.PP
.RE
.RE
.PP
.RE
.TP
.B *
Zone 
.PP
.RS
.TP
1.
Master domain zone config 
.RS
.PP
.Vb
<zone>
        # This server is master for that zone (mandatory)
        type        master

        # The domain name (mandatory)
        domain      mydomain.eu

        # The zone file, relative to 'datapath'  (mandatory for a master)
        file        master/mydomain.eu

        # List of servers also notified of a change (beside the ones in the zone file)
        also\-notify 192.0.2.84, 192.0.2.149
</zone>
.Ve
.PP
.RE
.TP
2.
Slave domain zone config 
.RS
.PP
.Vb
<zone>
        # This server is slave for that zone (mandatory)
        type        slave

        # The domain name (mandatory)
        domain      myotherdomain.eu

        # The address of the master (mandatory for a slave, forbidden for a master)
        masters     191.0.2.53 port 4053 key master\-slave

        # The zone file, relative to 'datapath'.
        file        slaves/myotherdomain.eu
</zone>
.Ve
.PP
.RE
.RE
.PP
.RE
.TP
.B *
Channels 
.PP
Logging output\-channel configurations: 
.PP
The "name" is arbitrary and is used in the <loggers>.
.br
The "stream\-name" defines the output type (ie: a file name or syslog).
.br
The "arguments" are specific to the output type (ie: unix file access rights or syslog options and facilities).
.br
.PP
.RS
.RS
.PP
.RE
.TP
1.
Example: YADIFA running as daemon channel definition.
.br 
.RS
.PP
.Vb
<channels>
#   name        stream\-name     arguments
    database    database.log    0644
    dnssec      dnssec.log      0644
    server      server.log      0644
    statistics  statistics.log  0644
    system      system.log      0644
    queries     queries.log     0644
    zone        zone.log        0644
    all         all.log         0644

    syslog      syslog          user
</channels>
.Ve
.PP
.RE
.TP
2.
Example: YADIFA running in debug mode.
.br 
This example shows the "stderr" and "stdout" which can also be used in the first example, but will output to the console. 
.RS
.PP
.Vb
<channels>
#   name        stream\-name     arguments
    syslog      syslog          user

    stderr      STDERR
    stdout      STDOUT
</channels>
.Ve
.PP
.RE
.RE
.PP
.RE
.TP
.B *
Loggers 
.PP
Logging input configurations: 
.PP
The "bundle" name is predifined: database, dnssec, server, statistics, system, zone.
.br
The "debuglevel" uses the same names as syslog or "*" or "all" to filter the input.
.br
.PP
The "channels" are a comma\-separated list of channels. 
.PP
.RS
.TP
1.
Example without syslog 
.RS
.PP
.Vb
<loggers>
#   bundle          debuglevel                          channels
    database        ALL                                 database,all
    dnssec          warning                             dnssec,all
    server          INFO,WARNING,ERR,CRIT,ALERT,EMERG   server,all
    statistics      *                                   statistics
    system          *                                   system,all
    queries         *                                   queries
    zone            *                                   zone,all
</loggers>
.Ve
.PP
.RE
.TP
2.
Example with syslog 
.RS
.PP
.Vb
<loggers>
#   bundle          debuglevel                          channels
    database        ALL                                 database,syslog
    dnssec          warning                             dnssec,syslog
    server          INFO,WARNING,ERR,CRIT,ALERT,EMERG   server,syslog
    stats           *                                   statistics, syslog
    system          *                                   system,syslog
    queries         *                                   queries,syslog
    zone            *                                   zone,syslog
</loggers>
.Ve
.RE
.RE
.PP
.RE
.PP
.SH SEE ALSO

.PP
\fIyadifad\fP(1)
.PP
.SH NOTES

.PP
Since unquoted leading whitespace is generally ignored in the yadifad.conf
you can indent everything to taste. 
.PP
.SH CHANGES

Please check the file ChangeLog
from the sources 
.PP
.SH VERSION

.PP
Version: 1.0.3 of 2013-06-24\&.
.PP
.SH LICENSE AND COPYRIGHT

.PP
.RE
.TP
Copyright 
(C)2012, EURid
.br
B\-1831 Diegem, Belgium
.br
\fBinfo@yadifa.eu\fP
.PP
.SH AUTHORS

.PP
Gery Van Emelen 
.br
Email: \fBGery.VanEmelen@EURid.eu\fP
.br
Eric Diaz Fernandez 
.br
Email: \fBEric.DiazFernandez@EURid.eu\fP
.PP
WWW: \fBhttp://www.EURid.eu\fP
.PP
.\" NOTE: This file is generated, DO NOT EDIT.
